#!/usr/bin/env python
# encoding: utf-8
"""
@author: simin. Gong
@license: (C) Copyright 2013-2023 Spacemit Corporation Limited.
@contact: simin.gong@spacemit.com
@file: __init__.py.py
@date: 2024/12/4 19:30 
@desc:
"""
import multiprocessing
import sys
import time
from multiprocessing import Process
class TestProcess(Process):

    def __init__(self):
        super(TestProcess, self).__init__(daemon=True)
        self.e_Event = multiprocessing.Event()

    def run(self):
        print(sys.path)
        print('start')

        print('end')


    def stop(self):
        self.e_Event.set()


if __name__ == '__main__':
    test = TestProcess()
    test.start()
    test.join()

